Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem Class Reference
Inheritance diagram for eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem:

## Public Member Functions
| __construct (FilesystemInterface $filesystem, UrlDecorator $urlDecorator=null)
| create (BinaryFileCreateStruct $binaryFileCreateStruct)
| delete ($spiBinaryFileId)
| getContents ($spiBinaryFileId)
| getResource ($spiBinaryFileId)
| getUri ($spiBinaryFileId)
| getIdFromUri ($binaryFileUri)
| deleteDirectory ($spiPath)

## Private Attributes
| $filesystem
| $urlDecorator

## Detailed Description

Definition at line 18 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::__construct | ( | FilesystemInterface | $filesystem,
|  | UrlDecorator | $urlDecorator = `null`
| ) |  |

Definition at line 26 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

References eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem\$filesystem, and eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem\$urlDecorator.

## Member Function Documentation

## ◆ create()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::create | ( | BinaryFileCreateStruct | $binaryFileCreateStruct | ) |

Definition at line 32 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

References eZ\Publish\SPI\IO\BinaryFileCreateStruct\getInputStream().

## ◆ delete()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::delete | ( |  | $spiBinaryFileId | ) |

Definition at line 55 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## ◆ deleteDirectory()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::deleteDirectory | ( |  | $spiPath | ) |

Definition at line 100 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## ◆ getContents()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::getContents | ( |  | $spiBinaryFileId | ) |

Definition at line 64 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## ◆ getIdFromUri()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::getIdFromUri | ( |  | $binaryFileUri | ) |

Definition at line 91 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## ◆ getResource()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::getResource | ( |  | $spiBinaryFileId | ) |

Definition at line 73 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## ◆ getUri()

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::getUri | ( |  | $spiBinaryFileId | ) |

Definition at line 82 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

## Member Data Documentation

## ◆ $filesystem

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::$filesystem
| private

Definition at line 21 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

Referenced by eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem\__construct().

## ◆ $urlDecorator

eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem::$urlDecorator
| private

Definition at line 24 of file Publish/Core/IO/IOBinarydataHandler/Flysystem.php.

Referenced by eZ\Publish\Core\IO\IOBinarydataHandler\Flysystem\__construct().

The documentation for this class was generated from the following file:

- Publish/Core/IO/IOBinarydataHandler/Flysystem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.